Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ICommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ICommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ICommand.cs	(revision 4068)
@@ -1,25 +1,22 @@
-using System;
 
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// ICommand is an interface for undo/redo support that is
-	/// implemented by the <see cref="Command"/> class.
-	/// </summary>
-	public interface ICommand
-	{
-        /// <summary>
-        /// Executes the action corresponding to an undo
-        /// </summary>
-		void Undo();
-        /// <summary>
-        /// Executes the actual action or equivalently the redo in case it had been undone
-        /// </summary>
-		void Redo();
-        /// <summary>
-        /// A description of the action
-        /// </summary>
-        /// <remarks>The text can be used in an undo list or undo stack description</remarks>
-		string Text{get; set;}
-	}
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand is an interface for undo/redo support that is
+  /// implemented by the <see cref="Command"/> class.
+  /// </summary>
+  public interface ICommand {
+    /// <summary>
+    /// Executes the action corresponding to an undo
+    /// </summary>
+    void Undo();
+    /// <summary>
+    /// Executes the actual action or equivalently the redo in case it had been undone
+    /// </summary>
+    void Redo();
+    /// <summary>
+    /// A description of the action
+    /// </summary>
+    /// <remarks>The text can be used in an undo list or undo stack description</remarks>
+    string Text { get; set; }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IComplexShape.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IComplexShape.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IComplexShape.cs	(revision 4068)
@@ -1,22 +1,16 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// A complex shape is just an IShape with <see cref="IShapeMaterial"/> children
+  /// </summary>
+  public interface IComplexShape : IShape {
     /// <summary>
-    /// A complex shape is just an IShape with <see cref="IShapeMaterial"/> children
+    /// Gets or sets the children.
     /// </summary>
-    public interface IComplexShape : IShape
-    {
-        /// <summary>
-        /// Gets or sets the children.
-        /// </summary>
-        /// <value>The children.</value>
-        CollectionBase<IShapeMaterial> Children
-        {            
-            get;
-            set;
-        }
+    /// <value>The children.</value>
+    CollectionBase<IShapeMaterial> Children {
+      get;
+      set;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ICompoundCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ICompoundCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ICompoundCommand.cs	(revision 4068)
@@ -1,23 +1,19 @@
-using System;
 
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// ICommand is an interface for undo/redo support that is
-	/// implemented by the Command class.
-	/// </summary>
-	public interface ICompoundCommand : ICommand
-	{
-        /// <summary>
-        /// Gets or sets the commands in this compound action.
-        /// </summary>
-        /// <value>The commands.</value>
-        CollectionBase<ICommand> Commands
-        {
-            get;
-            set;
-        }
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand is an interface for undo/redo support that is
+  /// implemented by the Command class.
+  /// </summary>
+  public interface ICompoundCommand : ICommand {
+    /// <summary>
+    /// Gets or sets the commands in this compound action.
+    /// </summary>
+    /// <value>The commands.</value>
+    CollectionBase<ICommand> Commands {
+      get;
+      set;
+    }
 
 
-	}
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IConnector.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IConnector.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IConnector.cs	(revision 4068)
@@ -1,50 +1,47 @@
-using System;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// This interface describes the public members of a connector
-	/// </summary>
-	public interface IConnector : IDiagramEntity
-	{
-		#region Properties
-		/// <summary>
-		/// Gets the point at which the connector is located
-		/// </summary>
-		Point Point {get; set;}
-		/// <summary>
-		/// Gets or sets the connector to which this connector is attached to
-		/// </summary>
-		IConnector AttachedTo {get; set;}
-		/// <summary>
-		/// Gets the connectors (if any) attached to this connector
-		/// </summary>
-		CollectionBase<IConnector> AttachedConnectors {get;}
-		#endregion
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This interface describes the public members of a connector
+  /// </summary>
+  public interface IConnector : IDiagramEntity {
+    #region Properties
+    /// <summary>
+    /// Gets the point at which the connector is located
+    /// </summary>
+    Point Point { get; set; }
+    /// <summary>
+    /// Gets or sets the connector to which this connector is attached to
+    /// </summary>
+    IConnector AttachedTo { get; set; }
+    /// <summary>
+    /// Gets the connectors (if any) attached to this connector
+    /// </summary>
+    CollectionBase<IConnector> AttachedConnectors { get; }
+    #endregion
 
-		#region Methods
-        /// <summary>
-        /// Attaches the given connector to this one
-        /// </summary>
-        /// <param name="child">The child connector to attach.</param>		
-		void AttachConnector(IConnector child);
+    #region Methods
+    /// <summary>
+    /// Attaches the given connector to this one
+    /// </summary>
+    /// <param name="child">The child connector to attach.</param>		
+    void AttachConnector(IConnector child);
 
-        /// <summary>
-        /// Detaches the given connector from this connector.
-        /// </summary>
-        /// <param name="child">The child connector to detach.</param>        
-        void DetachConnector(IConnector child);
+    /// <summary>
+    /// Detaches the given connector from this connector.
+    /// </summary>
+    /// <param name="child">The child connector to detach.</param>        
+    void DetachConnector(IConnector child);
 
-        /// <summary>
-        /// Detaches from its parent (if any).
-        /// </summary>
-        void DetachFromParent();
+    /// <summary>
+    /// Detaches from its parent (if any).
+    /// </summary>
+    void DetachFromParent();
 
-        /// <summary>
-        /// Attaches to another connector
-        /// </summary>
-        /// <param name="parent">The new parent connector.</param>        
-        void AttachTo(IConnector parent);
-		#endregion
-	}
+    /// <summary>
+    /// Attaches to another connector
+    /// </summary>
+    /// <param name="parent">The new parent connector.</param>        
+    void AttachTo(IConnector parent);
+    #endregion
+  }
 }
